﻿
import numpy as np
import matplotlib.pyplot as plt

#Lecture du fichier csv
f=open("Mars_2018-12-31--2020-11-18_SunCenter_1day_B1950.csv","r")
table=[ligne.rstrip().split(',') for ligne in f]
f.close()
NumOfPts=len(table)


#Creation des listes de points
xtraj=[]; ytraj=[]; # points pour le tracé de la trajectiore en pointillés
x=[]; y=[];         # points pour la position de Mars tous les 30 jours


#Ajout des points pour le tracé de la trajectoire
for i in range (1,NumOfPts,1):
  xtraj.append(float(table[i][2]))
  ytraj.append(float(table[i][3]))


# Modifier les lignes ci-dessous pour remplir les listes x[] et y[]
 # avec les positions de Mars tous les 30 jours
for i in range (1,NumOfPts,1):
  x.append(float(table[i][2]))
  y.append(float(table[i][3]))

#Ajout d'un point correspondant au Soleil
x.append(0)
y.append(0)


#Tracé de la trajectoire
plt.plot(x, y, label='Trajectoire', marker='o', linestyle='none')
plt.plot(xtraj, ytraj, label='Trajectoire', linestyle=':')
plt.axis('equal')
plt.show()